{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link href="{{ asset('/css/parts.css') }}" rel="stylesheet">
{% endblock %}

{% block body %}
    {% set route = paginatorVars.route %}
    {% set page = paginatorVars.page %}
    {% set pages = paginatorVars.pages %}

    <ul class="pagination-items">
        <li>
            <a
                href="{{ path(route, { 'page': (page - 1) } | merge(filters)) }}"
                type="button"
                class="icon-link {{ page > 1 ?: 'icon-link-disabled' }}"
            >
                <i class="fa-solid fa-circle-chevron-left" style="font-size: 1.5em"></i>
            </a>
        </li>
        {% for pageIndex in 1..pages %}
            <li>
                <a
                    href="{{ path(route, { 'page': pageIndex } | merge(filters)) }}"
                    class="paginate-link {{ pageIndex == page ? 'paginate-link-disabled' }}"
                >
                    {{ pageIndex }}
                </a>
            </li>
        {% endfor %}
        <li>
            <a
                href="{{ path(route, { 'page': (page + 1) } | merge(filters)) }}"
                type="button"
                class="icon-link {{ page < pages ?: 'icon-link-disabled' }}"
            >
                <i class="fa-solid fa-circle-chevron-right" style="font-size: 1.5em"></i>
            </a>
        </li>
    </ul>
{% endblock %}
